#include <iostream>
using namespace std;

int main()
{
   int N, M;
   cin>>N>>M;
   int l[M],r[M],br;
   long long d[N+1], u[N+1],x[M];
   for(int i=1; i<=N; i++)
   {
       cin>>d[i]>>u[i];
   }
   for(int i=0; i<M; i++)
   {
        cin>>l[i]>>r[i]>>x[i];
   }
   for(int i=0; i<M; i++)
   {
      br=0;
      for(int j=l[i]; j<=r[i]; j++)
      {
          if(d[j]<=x[i] && u[j]>=x[i])
            br++;
      }
      cout<<br<<endl;
   }
   return 0;
}